Subject: Re: bug#47899: Shepherd Loses Track of Tor Service
From: Ludovic Courtès <[email-masked]>
To: Noah Landis <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Feb 2023 15:06:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Noah,

Noah Landis <[email-masked]> skribis:

> I was trying to replicate my system on another machine and when I
> finished I realised I could not restart tor. After that I was frustrated
> and did a fresh install and after running 'guix pull' and 'sudo guix
> system reconfigure /etc/config.scm' tor could still not be
> started. I went on the irc and nckx told me to run 'pgrep tor' which
> returned a number. After running 'sudo kill that-number' and 'sudo herd
> enable tor && sudo herd restart tor', the tor service could be
> started. I then rebooted and it once again could not be started, yet
> 'prgep tor' returned a number.

Apologies for the late reply.  Version 0.9.3 of the Shepherd, released a
few months ago, fixed things in this area, and it’s likely that the bug
is gone now.

I’m closing this issue but please do reopen it if you notice something
fishy!

Thanks,
Ludo’.